Home
Home
  1. Reports
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable widgets
    • Overview
    • Document upload widget
      • Designing an upload flow
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Uploading documents
    • Country-specific fields
    • Supported document types
  • API reference
    • Submissions
      • Reports
        • List available report templates
          GET
        • Download a report
          GET
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run a submission pre-flight check
        POST
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
      • List submissions
        GET
    • Documents
      • Public documents API
        • List documents (public)
        • Upload document (public)
        • Get document (public)
        • Delete document (public)
        • Download document file (public)
        • Rerun validations (public)
      • List documents
      • Upload document
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC search
      • RPC search
      • Get company with ID
      • Look up company by RFC
      • Search companies by name
      • Download RPC document
    • Utilities
      • Matcher
        • Run name matching
  1. Reports

Download a report

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/submissions/{submission_id}/reports/{report_template_id}
Generates the report from the template with the submission's current data and returns the Word document (.docx) as an attachment (Content-Disposition: attachment; filename="<business name>-<template file name>").
Returns 422 with Reports are unavailable for pending or processing submissions, Report template country does not match the submission country or Report template file is not available.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/submissions/sub_3ZMd9KJnvAdYt4mOyW7YQRAp/reports/rtmp_4Rt8YzK1Qa' \
--header 'Accept-Language: en' \
--header 'apiKey: <api-key>'

Responses

🟢200OK
application/vnd.openxmlformats-officedocument.wordprocessingml.document
The generated Word document (.docx)
Headers

🟠401Unauthorized
🟠404Not Found
🟠422Unprocessable Content
🔴500Internal Server Error
Previous
List available report templates
Next
Create new submission